@import "$SHAREDSTYLES/base/_variables.scss";

.search_location_container {

    .google_search_location {
		position: relative;
        input {
			font-size: 14px;
			padding: 10px;
			padding-left: 35px;
			border-bottom: 1px solid $light-grey;
        }
    }
}

.current_location_container {
    // text-align: center;
    padding: 15px;
    float: left;
    width: 100%;
    color: $theme;
    border-bottom: 1px solid #e1e1e1;

    svg {
        float: left;
    }
}

.loc_edit_container {
    float: left;
    width: 100%;
    border-top: 1px solid $light-grey;
    border-bottom: 1px solid $light-grey;
    padding: 0;
}

.or_text {
    text-align: center;
    float: left;
    width: 100%;
}

.location_container,
.location_list_container {
    padding: 0;

    li {
        display: flex;
        align-items: center;
        border-bottom: 1px solid #eef2f7;
        padding: 15px 0;

        .location_label {
            font-size: 14px;
        }

        .detailed_address {
            color: #888;
            font-size: 12px;
            white-space: nowrap;
            overflow: hidden;
            text-overflow: ellipsis;
            padding-right: 5px;
        }

        .right_face_array {
            right: 15px;
        }
    }

    li:last-child {
        border-bottom: 0;
    }

    .fild_header {
        float: left;
        width: 100%;
        padding: 0 15px;
        margin-top: 30px;
    }
}

.location_section {
    flex-grow: 1;
    margin-left: 10px;
    max-width: 95%;
}

.location_text {
    color: #ff7300;
    line-height: 1;
    margin-left: 5px;
}

.sec_header {
    font-size: 12px;
    color: #787878;
    padding-bottom: 10px;
    border-bottom: 1px solid #eef2f7;
}

.add_location_wrp {
    display: flex;
    align-items: center;
    font-size: 14px;
    color: #666666;
    margin-top: 10px;
}

.location-text {
    color: #ff7300;
}

.location_icon {
    width: 18px;
    height: 18px;
}

.location_list_container li {
    padding-right: 15px;
}

.show_address_button {
    border: 1px solid rgba(0, 0, 0, 0.1);
    border-radius: 2px;
    width: 100%;
    background: #fff;
    text-align: center;
    color: #134f70;
    padding: 5px;
    font-size: 14px;
}

.location_edit_container {
    padding-top: 15px;

    li {
        padding: 10px 0px;
        display: block;

        .button {
            width: 100%;
            font-size: 14px;
        }
    }
}

.input_field {
    float: none;
}

:local(input[type=text].fild_text),
.fild_text {
    float: left;
    width: 100%;
    padding: 15px;
    background-color: #fff;
    border-bottom: 1px solid $light-grey;
    // border-top: 1px solid $light-grey;
    font-size: 17px;
    outline: none;
    margin: 0;
}

.error_fild_text {
    // composes: fild_text;
    float: left;
    width: 100%;
    padding: 15px;
    background-color: #fff;
    border-bottom: 1px solid $light-grey;
    font-size: 17px;
    outline: none;
    margin: 0;
    background-color: rgba(247, 226, 227, 0.62);
}

.location_container {
    .location_wrap {
        padding: 15px;
        width: 100%;
		border-bottom: 4px solid #eef2f7;
        .location_label {
            padding-bottom: 5px;
            font-weight: bold;
        }
	}

    .location_label_button {
        margin-right: 17px;
        border: 1px solid #e1e1e1;
        padding: 6px 0;
        width: 72px;
        text-align: center;
        font-size: 14px;
    }

    .location_lable_selected {
        background-color: $theme;
        color: #fff;
    }

    .location_label_input {
        margin-top: -11px;
        width: calc(100% - 190px);
    }
}

.location_label {
    font-size: 14px;
    margin-bottom: 5px;
    font-weight: 500;
    line-height: 1;
}

input[type=text].fild_text:last-child,
.fild_text:first-child {
    border-bottom: 0;
}

.header {
    margin-top: 50px;
    padding-left: 15px
}

.done_button {
    width: 100%;
    margin-top: 50px;
    background-color: $theme;
    color: #fff;
    font-size: 20px;
    padding: 12px 0;
}

.link_back {
    color: $theme;
    width: 100%;
    float: left;
    padding: 10px 15px;
    background: #FFFFFF;
    border-bottom: 1px solid $light-grey;
    border-top: 1px solid $light-grey;

    // margin: 30px 0 50px;
    .small_plus_icon {
        float: left;
        margin-right: 10px;
        margin-top: 3px;

        svg {
            float: left;
        }
    }
}

.loc_icon_container {
    padding: 7px 15px;
    border-bottom: 1px solid $light-grey;
    border-top: 1px solid $light-grey;
    font-size: 13px;
    width: 100%;
    float: left;
    margin-bottom: 30px;
    background: #FFFFFF;

}

.loc_type_icon_wraper {
    display: inline-block;
    width: 100%;
    color: #aaa;
    font-weight: 300;
    text-align: center;

    span {
        margin-top: 10px;
        cursor: pointer;
        display: inline-block;
        position: relative;
        width: 100px;
        margin-right: 14px;
        border-radius: 24px;
        height: 46px;
        border: 1px solid #ff7300;
        color: #ff7300;
        text-align: left;
        text-transform: uppercase;

        svg {
            margin-left: -1px;
            margin-top: -1px;
        }
    }

    span:last-child {
        margin-right: 0;
    }

    span::after {
        position: absolute;
        left: 45px;
        transform: translateY(-50%);
        top: 50%;
    }

    .home_type_icon::after {
        content: 'Home';
    }

    .office_type_icon::after {
        content: 'Office';
    }

    .otherPlace_type_icon::after {
        content: 'Other';
    }
}

.action_button_container {}

.other_label_text {
    width: 70%;
    margin: 0 auto 20px;
    float: none;
    display: inherit;
    background-color: transparent;
    border-bottom: 1px solid $theme !important;
    font-size: 18px;
    padding: 5px 10px;
}

.disable_text {
    color: #aaa;
}

.label_text {
    color: $theme;
    font-size: 12px;
}

.customer_name_wraper {
    float: left;
    width: 100%;
    margin-top: 30px;
    border-bottom: 1px solid $light-grey;
    border-top: 1px solid $light-grey;
}

.auto_detect_text {
    float: left;
    margin-left: 15px;
    line-height: 26px;
}

.search_icon {
    width: 20px;
    line-height: 1;
    position: absolute;
	z-index: 2;
	left: 7px;
    top: 7px;
}

.sorry_icon_wraper {
    background-color: #fff;
    text-align: center;
    padding: 42px 0;
    font-size: 17px;
    color: #9B9B9B;

    .sorry_icon {
        margin-bottom: 16px;
    }
}

.google_logo {
    background-image: url("../../sharedImage/powered_by_google.png");
    background-repeat: no-repeat;
    height: 40px;
    width: 100%;
    background-position: center;
    position: fixed;
    bottom: 15px;
}